% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zap_labels.R
\name{zap_unlabelled}
\alias{zap_unlabelled}
\title{Convert non-labelled values into NA}
\usage{
zap_unlabelled(x)
}
\arguments{
\item{x}{(partially) \code{\link[haven]{labelled}} vector, \code{data.frame} or \code{list}
of (partially) labelled vectors}
}
\value{
\code{x}, where all non-labelled values are converted to \code{NA}.
}
\description{
For (partially) labelled vectors, all values that don't have
               a value label attribute will be replaced by \code{NA}.
}
\examples{

data(efc)
str(efc$e42dep)

x <- set_labels(efc$e42dep,
                c(`1` = "independent",
                  `4` = "severe dependency"))
table(x)
get_values(x)
str(x)

# zap all labelled values
x <- set_labels(efc$e42dep,
                c(`1` = "independent",
                  `4` = "severe dependency"))
table(zap_labels(x))
get_values(zap_labels(x))
str(zap_labels(x))

# zap all unlabelled values
x <- set_labels(efc$e42dep,
                c(`1` = "independent",
                  `4` = "severe dependency"))
table(zap_unlabelled(x))
get_values(zap_unlabelled(x))
str(zap_unlabelled(x))

}
\seealso{
\code{\link{get_values}} and \code{\link{zap_labels}}
}

